# Interface methods for submodule: ObjectFactoryBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ObjectFactoryBase
class ObjectFactoryBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def CreateInstance(itkclassname):
		""""""
		...

	@staticmethod
	def CreateAllInstance(itkclassname):
		""""""
		...

	@staticmethod
	def ReHash() -> None:
		""""""
		...

	@staticmethod
	def RegisterFactoryInternal(arg0) -> None:
		""""""
		...

	@staticmethod
	def RegisterFactory(arg0, where = ..., position: int = 0) -> bool:
		""""""
		...

	@staticmethod
	def UnRegisterFactory(arg0) -> None:
		""""""
		...

	@staticmethod
	def UnRegisterAllFactories() -> None:
		""""""
		...

	@staticmethod
	def GetRegisteredFactories():
		""""""
		...

	def GetITKSourceVersion(self):
		""""""
		...

	@staticmethod
	def SetStrictVersionChecking(arg0: bool) -> None:
		""""""
		...

	@staticmethod
	def StrictVersionCheckingOn() -> None:
		""""""
		...

	@staticmethod
	def StrictVersionCheckingOff() -> None:
		""""""
		...

	@staticmethod
	def GetStrictVersionChecking() -> bool:
		""""""
		...

	def GetDescription(self):
		""""""
		...

	def GetClassOverrideNames(self):
		""""""
		...

	def GetClassOverrideWithNames(self):
		""""""
		...

	def GetClassOverrideDescriptions(self):
		""""""
		...

	def GetEnableFlags(self):
		""""""
		...

	def SetEnableFlag(self, flag: bool, className, subclassName) -> None:
		""""""
		...

	def GetEnableFlag(self, className, subclassName) -> bool:
		""""""
		...

	def Disable(self, className) -> None:
		""""""
		...

	def GetLibraryPath(self):
		""""""
		...

	@staticmethod
	def Initialize() -> None:
		""""""
		...

